import 'package:flutter/material.dart';

class GoodsShareLinkWidget extends StatelessWidget {
  final String title;
  final String desc;
  final String imgGoods;
  final String icon;
  final String name;

  const GoodsShareLinkWidget(
      {Key key, this.title, this.desc, this.imgGoods, this.icon, this.name})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
        margin: EdgeInsets.only(left: 10, right: 10),
        padding: EdgeInsets.only(left: 16, top: 10, right: 16, bottom: 10),
        decoration: BoxDecoration(
            color: Color(0xfff8f8f8), borderRadius: BorderRadius.circular(10)),
        width: double.infinity,
        child: Column(
          children: <Widget>[
            Text(
              title ?? '',
              style: TextStyle(
                color: Color(0xff333333),
                fontWeight: FontWeight.bold,
                fontSize: 11,
              ),
            ),
            Row(
              children: <Widget>[
                Expanded(
                  child: Text(
                    title ?? '',
                    maxLines: 3,
                    style: TextStyle(
                      color: Color(0xff999999),
                      fontWeight: FontWeight.normal,
                      fontSize: 11,
                    ),
                  ),
                ),
                Container(
                  width: 48,
                  height: 48,
                  color: Colors.redAccent,
                )
              ],
            ),
            Container(
              margin: EdgeInsets.only(top: 6, bottom: 6),
              width: double.infinity,
              height: 0.5,
              color: Color(0xffeaeaea),
            ),
            Row(
              children: <Widget>[
                Container(
                  margin: EdgeInsets.only(right: 6),
                  width: 15,
                  height: 15,
                  color: Colors.redAccent,
                ),
                Text(
                  name,
                  style: TextStyle(fontSize: 11, color: Color(0xff999999)),
                )
              ],
            )
          ],
        ));
  }
}
